
QGIS Application - Feature request #1788

Overview should show extent of overview items, not all project layers

2009-07-17 01:31 PM - John Tull

Status: Closed

Priority: Low

Assignee:

Category: Map Legend

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 11848

Description

Currently, the overview defaults to the extent of the largest layer in the qgis project. Often, there is a layer that is beyond the extent of

what you want to see in an overview. E.g., there may be a file that covers all of Europe, but you only want the overview map to show the

outline of Germany, the area of primary interest. If the overview is only showing the outline of Germany, it should only cover the extents of

Germany, not all of Europe.

Associated revisions

Revision 2613cf6a - 2012-11-19 08:03 PM - Radim Blazek

keep extent of overview set to union of extents of layer in overview; dont shrink on resize; fixes #1788

History

#1 - 2011-03-05 11:35 AM - John Tull

Another example of how this works poorly: If I have a layer in the overview as a docked item below the layer legend, I can make the overview map shrink by

adjusting the overview pane up and down (taller and shorter). With each subsequent movement of the window up and down, the overview map shrinks

further. Again, the overview map should be pegged to the extent of the largest layer in the overview.

#2 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2012-11-19 11:07 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"2613cf6ad5ec0afcb033e59e60af89384e234f99".

#6 - 2012-11-19 11:08 AM - Radim Blazek

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Resolution set to fixed
Fixed in commit:2613cf6

Work done by Faunalia for Agence de l'eau Adour Garonne.
